export interface Options {
    exclude?: Function[];
}
export declare class CachedFunctionProxy<T extends Function> {
    private proxiedFunction;
    private thisArg;
    private cache;
    private cacheKeySeq;
    private cacheKeys;
    call: T;
    constructor(proxiedFunction: T, thisArg?: any);
    private proxyCall();
    clear(): void;
    private getCacheRecord(key);
    private putCacheRecord(key, value);
}
export declare class CachedMethodProxy<T> {
    private proxiedObject;
    private options;
    private methodProxies;
    private excludedMethods;
    constructor(proxiedObject: T, options?: Options);
    proxy: T;
    clear(): void;
    private checkInclusion(method);
}
